UnequalLengthAlignment (BioJava-1.5-beta API)
Keywords: org.biojava.bio.alignment.UnequalLengthAlignment interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.alignment
Interface UnequalLengthAlignment

All Superinterfaces:
  Alignment, Changeable, SymbolList

All Known Implementing Classes:
  AbstractULAlignment, AbstractULAlignment.SubULAlignment, FlexibleAlignment

    public interface UnequalLengthAlignment

extends Alignment

UnequalLengthAlignment has the following behavior. Two or more SymbolLists may align in such a way that their ends do not overlap.

          example
             1         aaaaaatttcttt
             2               tttgtttggggggc

length returns ??
symbolAt(1,1) returns 20
symbolAt(2,1) returns null -- NOT an exception
symbolAt(2,99) throws NoSuchElementException
leftMost returns 1
rightMost returns 2
locInAlignment (1) returns (1,13)
locInAlignment (2) returns (7,20)
alignmentRange() returns (7,13)

Author:
  David Waring

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.symbol.Alignment
`Alignment.SymbolListIterator`

Field Summary

Fields inherited from interface org.biojava.bio.symbol.Alignment
`CONTENT`

Fields inherited from interface org.biojava.bio.symbol.SymbolList
`EDIT, EMPTY_LIST`

Method Summary
`List` | `labelsAt(int column)` Returns a list labels, of all seqs that cover that column
`List` | `labelsInRange(Location loc)` Returns list of all the labels that intersect that range
`Location` | `locInAlignment(Object label)` The location of an individual SymbolList relative to overall Alignment

Methods inherited from interface org.biojava.bio.symbol.Alignment
`getLabels, subAlignment, symbolAt, symbolListForLabel, symbolListIterator`

Methods inherited from interface org.biojava.bio.symbol.SymbolList
`edit, getAlphabet, iterator, length, seqString, subList, subStr, symbolAt, toList`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### locInAlignment

    Location locInAlignment(Object label)

  The location of an individual SymbolList relative to overall Alignment

### labelsAt

    List labelsAt(int column)

  Returns a list labels, of all seqs that cover that column

### labelsInRange

    List labelsInRange(Location loc)

  Returns list of all the labels that intersect that range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD